﻿using Microsoft.SharePoint.Administration;

namespace RH.EmptyAdminRecycleBin
{
	internal class UlsLogging
	{
		internal static void Write(TraceSeverity traceSeverity, string message)
		{
			var uls = SPDiagnosticsService.Local;
			if (uls != null)
			{
				SPDiagnosticsCategory cat = uls.Areas["SharePoint Foundation"].Categories["Web Controls"];
				uls.WriteTrace(1, cat, traceSeverity,message, uls.TypeName);
			}
		}
	}
}